Bug Hunting Session
Bug 83366 - EDITING: Copy and Paste crashes Calc when original doc closed
Summary: EDITING: Copy and Paste crashes Calc when original doc closed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-09-01 19:13 UTC by Luke
Modified: 2015-12-17 08:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb on the core file (5.66 KB, text/plain)
2014-09-03 14:37 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-09-01 19:13:57 UTC
This is an issue with the latest 4.4 master, and cannot be reproduced on 4.2.x. If you skip step 4, it's also not reproducable. 

Steps to Reproduce:
1. Open  Attachment 103075 [details] in Calc 4.4
2. Highlight I5:I24
3. Copy
4. Close the document (Ctrl-W)
5. Create a new Spreadsheet
6. Paste

Expected Results:
Contents of I5:I24 in the new spreadsheet

Actual Results:
Calc Crashes
Comment 1 Joel Madero 2014-09-03 08:10:59 UTC
Confirmed:
Bodhi 2.x
LibreOffice 4.3.1.2 release - updating version to reflect this

I don't see any crash in bibisect package so probably a recent regression. 


Marking as:
New - confirmed
Critical - this is pretty nasty, easy to repro and pretty common thing that someone might do. Serious data loss possibility
Highest - MAB (regression + data loss + common set of steps)
Comment 2 Terrence Enger 2014-09-03 11:49:23 UTC
I have make a segfault by copying from a single cell and closing the
workbook before pasting into a new worksheet.

This observation is on master commit f74a633, fetched 2014-08-23 1728
UTC, configured:
    --enable-option-checking=fatal --enable-dbgutil --enable-crashdump
    --without-system-postgresql --without-myspell-dicts
    --with-extra-buildid --without-doxygen
    --with-external-tar=/home/terry/lo_hacking/git/src
    --enable-online-update
built and running on debian-wheezy 64-bit.

However, running in a chroot enviornment to debian-sid, that same
build does not crash, and neither do three versions from the daily
dbgutil bibisect: oldest, 2014-09-02, and 2014-08-23.  The chroot sid
environment has newer system libraries, of course.


Joel,

Did you have your crash and your attempt to bibisect on the same
platform?

Thanks,
Terry.
Comment 3 Joel Madero 2014-09-03 11:50:44 UTC
Yes same system. Very strange
Comment 4 Terrence Enger 2014-09-03 14:37:51 UTC
Created attachment 105687 [details]
gdb on the core file

Even stranger than that.  My crash in master happens only sometimes.
I am almost reduced to thinking that the crash happens only when I
grow careless about what I am doing.

Meanwhile this backtrace from commit 754a633 shows a segfault in
ScFormatShell::GetStyleState.
Comment 5 Björn Michaelsen 2014-11-28 09:45:22 UTC
(This is an automated message.)

Setting priority to highest as this is a MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 6 Rostislav 'R.Yu.' Okulov 2014-12-30 13:58:38 UTC
git bisect start
# bad: [0777cd085a7633a48e03d25948cc67fce87b7ac7] source-hash-b800d0b6ad74ce4a9adb23b865dd174d1eefa47b
git bisect bad 0777cd085a7633a48e03d25948cc67fce87b7ac7
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect good 812c4a492375ac47b3557fbb32f5637fc89d60d9
# bad: [8677ba6e74a774fb44ec7831f14e53d8663f59ed] source-hash-eb213e490d9a366477b921d1a408d85c4638499e
git bisect bad 8677ba6e74a774fb44ec7831f14e53d8663f59ed
# bad: [42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc] source-hash-b5608fd429790a3d1153341b2c86303b7090b15a
git bisect bad 42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc
# good: [253e662b25e57508dbc46753f0f28af36d5f4e25] source-hash-f7d51f43deda5e28df63f1b8e168e84838d0d0b4
git bisect good 253e662b25e57508dbc46753f0f28af36d5f4e25
# bad: [8461c942c2060278f64283368705e0183709c4d7] source-hash-c7d390bf21623c148ff5c3955561b903d9581da8
git bisect bad 8461c942c2060278f64283368705e0183709c4d7
# bad: [a59adcf09aa0f7900332f3e0e48e5b0fbeffe82d] source-hash-c0cb909ba7f01e3d644e8555289be3ab0785d15d
git bisect bad a59adcf09aa0f7900332f3e0e48e5b0fbeffe82d
# skip: [30e36f1e3a8d687c8ee493dda6d8fcd9b651fdb2] source-hash-ea93714e9427e6802e843c4585871aeef0a5e28d
git bisect skip 30e36f1e3a8d687c8ee493dda6d8fcd9b651fdb2
# bad: [998586070e97205086dca415df199a23465ef6be] source-hash-e8e22fcefd569bdf6c3fbe67bb64206e67c3e6b7
git bisect bad 998586070e97205086dca415df199a23465ef6be
# good: [0219641f7ec1bee5654f7b8c02d246fa27b03ab1] source-hash-9835fa87ac6ffe43bd9cc85839b2fea1fca2fcad
git bisect good 0219641f7ec1bee5654f7b8c02d246fa27b03ab1
# only skipped commits left to test
# possible first bad commit: [998586070e97205086dca415df199a23465ef6be] source-hash-e8e22fcefd569bdf6c3fbe67bb64206e67c3e6b7
# possible first bad commit: [30e36f1e3a8d687c8ee493dda6d8fcd9b651fdb2] source-hash-ea93714e9427e6802e843c4585871aeef0a5e28d

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
30e36f1e3a8d687c8ee493dda6d8fcd9b651fdb2
998586070e97205086dca415df199a23465ef6be
We cannot bisect more!
Comment 7 Luke 2015-01-04 22:06:05 UTC
I have manually bisected this down to:
fdo#79676: Initialize with a default chart only from the UI.
http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5539bb585370f095cb6c09e38a7dd005d237295

The previous commit, 178550923533b7c015e29d957a2fc3857ba73eb3 was GOOD. 

Kohei, could you please look how your fix for Bug 79676 caused this regression? Thanks for everything!
Comment 8 Joel Madero 2015-01-05 02:06:17 UTC
Kohei does not follow bugzilla anymore. I'll try to ping him personally to see if he will investigate
Comment 9 Commit Notification 2015-04-20 19:00:53 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cc023dc093cc858637c1bcf4a756ddd44d61658

Resolves tdf#83366 Copy and Paste crashes Calc when original doc closed

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-04-20 19:07:35 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c92e1092b4a8c49c0f893bcf9c538c224b42724&h=libreoffice-4-4

Resolves tdf#83366 Copy and Paste crashes Calc when original doc closed

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-05-13 04:25:34 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c5be9611c3c74d02bd4fd5ac05170ea83d1ba20

Unit test for tdf#83366

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:34:44 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]